Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xhtml
Class ConverterHelper

    java.lang.Object
      writer2latex.xhtml.ConverterHelper

Direct Known Subclasses:
  DrawConverter, MathConverter, StyleConverter, StyleConverterHelper, TableConverter, TextConverter

    public class ConverterHelper

extends java.lang.Object

Field Summary
`protected Config` | `config`
`protected Converter` | `converter`
`protected OfficeReader` | `ofr`

Constructor Summary
`ConverterHelper(OfficeReader ofr, Config config, Converter converter)`

Method Summary
`protected void` | `applyStyle(StyleInfo info, org.w3c.dom.Element hnode)`
`protected CellStyleConverter` | `getCellSc()`
`protected DrawConverter` | `getDrawCv()`
`protected FrameStyleConverter` | `getFrameSc()`
`protected ListStyleConverter` | `getListSc()`
`protected MathConverter` | `getMathCv()`
`protected PageStyleConverter` | `getPageSc()`
`protected ParStyleConverter` | `getParSc()`
`protected PresentationStyleConverter` | `getPresentationSc()`
`protected RowStyleConverter` | `getRowSc()`
`protected SectionStyleConverter` | `getSectionSc()`
`protected StyleConverter` | `getStyleCv()`
`protected TableConverter` | `getTableCv()`
`protected TableStyleConverter` | `getTableSc()`
`protected TextConverter` | `getTextCv()`
`protected TextStyleConverter` | `getTextSc()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ofr

    protected OfficeReader ofr

### config

    protected Config config

### converter

    protected Converter converter

Constructor Detail

### ConverterHelper

    public ConverterHelper(OfficeReader ofr,
                           Config config,
                           Converter converter)

Method Detail

### getStyleCv

    protected StyleConverter getStyleCv()

### getTextSc

    protected TextStyleConverter getTextSc()

### getParSc

    protected ParStyleConverter getParSc()

### getListSc

    protected ListStyleConverter getListSc()

### getSectionSc

    protected SectionStyleConverter getSectionSc()

### getTableSc

    protected TableStyleConverter getTableSc()

### getRowSc

    protected RowStyleConverter getRowSc()

### getCellSc

    protected CellStyleConverter getCellSc()

### getFrameSc

    protected FrameStyleConverter getFrameSc()

### getPresentationSc

    protected PresentationStyleConverter getPresentationSc()

### getPageSc

    protected PageStyleConverter getPageSc()

### getTextCv

    protected TextConverter getTextCv()

### getTableCv

    protected TableConverter getTableCv()

### getDrawCv

    protected DrawConverter getDrawCv()

### getMathCv

    protected MathConverter getMathCv()

### applyStyle

    protected void applyStyle(StyleInfo info,
                              org.w3c.dom.Element hnode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD